// 枚举 enum
#include <stdio.h>

typedef enum front_color_e
{
    BLACK = 30, // 黑色
    RED,        // 红色
    GREEN,      // 绿色
    YELLOW,     // 黄色
    BLUE,       // 蓝色
    PURPLE,     // 紫色
    CYAN,       // 青色
    WHITE,      // 白色
} Front_Color;  // 前景色

typedef enum back_color_e
{
    BLACK_B = 40, // 黑色
    RED_B,        // 红色
    GREEN_B,      // 绿色
    YELLOW_B,     // 黄色
    BLUE_B,       // 蓝色
    PURPLE_B,     // 紫色
    CYAN_B,       // 青色
    WHITE_B,      // 白色
} Back_Color;     // 背景色

typedef enum attr_e
{
    BOLD = 1,      // 加粗
    UNDERLINE = 4, // 下划线
    BLINK,         // 闪烁
    REVERSE = 7,   // 反显
    HIDE,          // 隐藏
} Attr;            // 文本属性

int main()
{
    // 彩色字体测试
    printf("\033[%d;%d;%dmHello, \033[0m\033[%d;%d;%dmworld!\033[0m \n", BOLD, RED, CYAN_B, GREEN, WHITE_B, UNDERLINE);

    return 0;
}